Get Specific Pathway Version
curl --request GET \
--url https://app.luly.ai/api/v1/pathway/{pathway_id}/version/{version_id} \
--header 'authorization: <authorization>'import requests
url = "https://app.luly.ai/api/v1/pathway/{pathway_id}/version/{version_id}"
headers = {"authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<authorization>'}};
fetch('https://app.luly.ai/api/v1/pathway/{pathway_id}/version/{version_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"nodes": {},
"edges": {},
"version_number": 123,
"is_latest": true
}Pathway Versions
Get Specific Pathway Version
Retrieves a specific version of a pathway, including its name, nodes, edges, version number, and latest status.
GET
/
v1
/
pathway
/
{pathway_id}
/
version
/
{version_id}
Get Specific Pathway Version
Headers
string
required
Your API key for authentication.
Path Parameters
string
required
The ID of the pathway.
string
required
The ID of the version to retrieve. Use 0 for the live pathway.
Response
string
The name of the pathway version.
array of objects
Data about all the nodes in the pathway version.
Node Object Parameters
Node Object Parameters
- id —Unique indentifier of the node
- type — Type of the node (e.g., “Default”, “End Call”, “Webhook”)
-
data — Object containing node-specific data
- name — Name of the node
- text or propmt — Text or prompt associated with the node
- Other properties specific to the node type
array of object
Data about all the edges in the pathway version.
Edge Object Parameters
Edge Object Parameters
- id —Unique indentifier of the edge
- source — Type of the node (e.g., “Default”, “End Call”, “Webhook”)
- target — Object containing node-specific data
- label —Label for this edge
integer
The version number of this pathway version.
boolean
Indicates whether this is the latest version of the pathway.